commit ed2f88d2756e17062cdf3cf9b87292a59888992e
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Nov 19 01:27:13 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index b8c45a59165..f96befe6823 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,49 @@
+2025-11-18  Andre Vieira  <andre.simoesdiasvieira@arm.com>
+
+	Backported from master:
+	2025-11-12  Andre Vieira  <andre.simoesdiasvieira@arm.com>
+
+	PR target/122539
+	* config/arm/arm.cc (comp_not_to_clear_mask_str_un): Skip partial
+	register clearing logic for FP_REGS.
+	(compute_not_to_clear_mask): Likewise.
+
+2025-11-18  Andre Vieira  <andre.simoesdiasvieira@arm.com>
+
+	Backported from master:
+	2025-11-12  Andre Vieira  <andre.simoesdiasvieira@arm.com>
+
+	PR target/122539
+	* config/arm/arm.cc (comp_not_to_clear_mask_str_un): Update
+	not_to_clear_reg_mask for union members.
+
+2025-11-18  Siddhesh Poyarekar  <siddhesh@gotplt.org>
+
+	Backported from master:
+	2025-11-04  Siddhesh Poyarekar  <siddhesh@gotplt.org>
+
+	PR lto/122515
+	* lto-wrapper.cc (debug_objcopy): Set type of INOFF to int64_t.
+	(run_gcc): Set type of FILE_OFFSET to int64_t.
+
+2025-11-18  Tamar Christina  <tamar.christina@arm.com>
+
+	Backported from master:
+	2025-10-31  Tamar Christina  <tamar.christina@arm.com>
+
+	PR target/121853
+	* config/aarch64/aarch64-simd.md (extendbfsf2): New.
+
+2025-11-18  Andrew Pinski  <andrew.pinski@oss.qualcomm.com>
+
+	Backported from master:
+	2025-09-02  Andrew Pinski  <andrew.pinski@oss.qualcomm.com>
+
+	PR tree-optimization/121776
+	* tree-ssa-strlen.cc (strlen_pass::handle_builtin_memcmp): Create
+	unaligned types if the alignment of the pointers is less
+	than the alignment of the new type.
+
 2025-11-17  Andrew Pinski  <andrew.pinski@oss.qualcomm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index fb72b5649a8..65d46e9aa22 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251118
+20251119
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index b5ae8db2c3f..9777c8b4498 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,11 @@
+2025-11-18  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-11-18  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR c++/122677
+	* module.cc (create_dirs): Skip past any leading slashes.
+
 2025-11-16  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	Backported from master:
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 4e8a3e7c0aa..3a81417f142 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2025-11-18  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2025-11-17  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/122709
+	* resolve.cc (resolve_assoc_var): If the associate target is a
+	contiguous pointer, so is the associate variable.
+
 2025-11-01  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/lto/ChangeLog b/gcc/lto/ChangeLog
index 3eb7cf352ec..13d58d36487 100644
--- a/gcc/lto/ChangeLog
+++ b/gcc/lto/ChangeLog
@@ -1,3 +1,14 @@
+2025-11-18  Siddhesh Poyarekar  <siddhesh@gotplt.org>
+
+	Backported from master:
+	2025-11-04  Siddhesh Poyarekar  <siddhesh@gotplt.org>
+
+	PR lto/122515
+	* lto.h (lto_section_slot): Set type of START to off_t.
+	* lto-common.cc (lto_read_section_data): Adjust.
+	* lto-object.cc (lto_obj_file_open): Set type of OFFSET to
+	int64_t.
+
 2025-08-08  Release Manager
 
 	* GCC 15.2.0 released.
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index ad8b5b9ec4b..0d2cb297dd4 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,62 @@
+2025-11-18  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2025-11-17  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/122709
+	* gfortran.dg/select_contiguous.f90: New test.
+
+2025-11-18  Andre Vieira  <andre.simoesdiasvieira@arm.com>
+
+	Backported from master:
+	2025-11-12  Andre Vieira  <andre.simoesdiasvieira@arm.com>
+
+	* gcc.target/arm/cmse/mainline/8m/hard/union-fp.c: New.
+	* gcc.target/arm/cmse/baseline/union-4.c: New.
+	* gcc.target/arm/cmse/mainline/8m/hard/union-4.c: New.
+	* gcc.target/arm/cmse/mainline/8m/soft/union-4.c: New.
+	* gcc.target/arm/cmse/mainline/8m/softfp/union-4.c: New.
+	* gcc.target/arm/cmse/union-4.x: New.
+
+2025-11-18  Andre Vieira  <andre.simoesdiasvieira@arm.com>
+
+	Backported from master:
+	2025-11-12  Andre Vieira  <andre.simoesdiasvieira@arm.com>
+
+	* gcc.target/arm/cmse/union-3.x: New test.
+	* gcc.target/arm/cmse/baseline/union-3.c: New test.
+	* gcc.target/arm/cmse/mainline/8m/union-3.c: New test.
+	* gcc.target/arm/cmse/mainline/8_1m/union-3.c: New test.
+
+2025-11-18  Siddhesh Poyarekar  <siddhesh@gotplt.org>
+
+	Backported from master:
+	2025-11-04  Siddhesh Poyarekar  <siddhesh@gotplt.org>
+
+	PR lto/122515
+	* lib/lto.exp (lto-build-archive): New procedure.
+	(lto-execute-1): Use it.
+	(lto-link-and-maybe-run, lto-get-options-main): Handle ar-link.
+	* gcc.dg/lto/pr122515_0.c: New test case.
+	* gcc.dg/lto/pr122515_1.c: New file.
+	* gcc.dg/lto/pr122515_2.c: Likewise.
+	* gcc.dg/lto/pr122515_3.c: Likewise.
+	* gcc.dg/lto/pr122515_4.c: Likewise.
+	* gcc.dg/lto/pr122515_5.c: Likewise.
+	* gcc.dg/lto/pr122515_6.c: Likewise.
+	* gcc.dg/lto/pr122515_7.c: Likewise.
+	* gcc.dg/lto/pr122515_8.c: Likewise.
+	* gcc.dg/lto/pr122515_9.c: Likewise.
+
+2025-11-18  Tamar Christina  <tamar.christina@arm.com>
+
+	Backported from master:
+	2025-10-31  Tamar Christina  <tamar.christina@arm.com>
+
+	PR target/121853
+	* gcc.target/aarch64/pr121853_1.c: New test.
+	* gcc.target/aarch64/pr121853_2.c: New test.
+
 2025-11-17  Jeff Law  <jlaw@ventanamicro.com>
 
 	PR rtl-optimization/122627
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 3c11e7703ac..1a072756845 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,14 @@
+2025-11-18  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-11-17  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/122726
+	* src/filesystem/ops-common.h [_GLIBCXX_FILESYSTEM_IS_WINDOWS]
+	(rename): Use __last_system_error to set errno accurately.
+	* testsuite/27_io/filesystem/operations/rename.cc: Test
+	error_code matches errc::no_such_file_or_directory.
+
 2025-11-17  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

